org.apache.poi.ddf

## Class EscherRGBProperty

- java.lang.Object
- - org.apache.poi.ddf.EscherProperty
  - - org.apache.poi.ddf.EscherSimpleProperty
    - - org.apache.poi.ddf.EscherRGBProperty

- All Implemented Interfaces:
    GenericRecord

      public class EscherRGBProperty
      extends EscherSimpleProperty

  A color property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscherRGBProperty(EscherPropertyTypes propertyType, int rgbColor)` Create an instance of an escher boolean property.
    `EscherRGBProperty(short propertyNumber, int rgbColor)` Create an instance of an escher boolean property.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getBlue()`
    `byte` | `getGreen()`
    `byte` | `getRed()`
    `int` | `getRgbColor()`

    - ### Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty

      `equals, getGenericProperties, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart`

    - ### Methods inherited from class org.apache.poi.ddf.EscherProperty

      `getGenericChildren, getGenericRecordType, getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex, toString, toXml`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EscherRGBProperty

          public EscherRGBProperty(short propertyNumber,
                                   int rgbColor)

      Create an instance of an escher boolean property.
      Parameters:
        `propertyNumber` - The property number (or id)
        `rgbColor` - The 24 bit value of this rgb property

    - #### EscherRGBProperty

          public EscherRGBProperty(EscherPropertyTypes propertyType,
                                   int rgbColor)

      Create an instance of an escher boolean property.
      Parameters:
        `propertyNumber` - The property type
        `rgbColor` - The 24 bit value of this rgb property

  - ### Method Detail

    - #### getRgbColor

          public int getRgbColor()

      Returns:
        the rgb color as int value

    - #### getRed

          public byte getRed()

      Returns:
        the red part

    - #### getGreen

          public byte getGreen()

      Returns:
        the green part

    - #### getBlue

          public byte getBlue()

      Returns:
        the blue part

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.